                                                                  
function solarTempOut = getSolarTempOut(litrePerSek,radiationPerM2,T0)
    % function that takes in flowrate in to collector, radiation and
    % outside temperature
  
    tIn = 5; %[Celsius] assuming constant temperature in to collector
    
    if(radiationPerM2 <=0) % No point calculating anything if radiation is zero or less
    solarTempOut=tIn;
    return
    end
    
    if(litrePerSek == 0)
        solarTempOut = 0;
        return
    end    
    
   
    cw = 4184; %[J/Celsius*kg] Heat capacity of water
    
    %-------CollectorParameters----------
    eta0 = 0.8;
    k1 = 3;    %[W/m^2Celsius]                                                   
    k2 = 0.03; %[W/m^2Celsius^2]
    collectorArea = 30; %[m^2]
     %-------end CollectorParameters-----
    
     
    
    litrePerSekPerM2 = litrePerSek/collectorArea;
    
    b = 0.25*k2;                                                       
    c = cw*litrePerSekPerM2+0.5*k1+0.5*k2*tIn-k2*T0; 
    d = (-cw*litrePerSekPerM2+0.5*k1+0.25*k2*tIn-k2*T0)*tIn + (k2*T0-k1)*T0 - eta0*radiationPerM2;                                                       

    

    %have to check that eta stays innside it's boundry. It must be between
    %zero and eta0. an outside temperature varmer than water temperature
    %will not give positive contribution to eta
    
    temp1 = (-c/(2*b))+(sqrt(c^2-4*b*d))/(2*b);   %temporary temperature
   
    temp2 = eta0-(k1/radiationPerM2)*(((temp1+tIn)/2)-T0)-(k2/radiationPerM2)*(((temp1+tIn)/2)-T0)^2;   %temporary eta
    
    if(((temp1+tIn)/2)< T0 || (c^2-4*b*d)< 0 )       %keeps (tW-t0)/I positive and checks that tOut is real
       eta = 0.8;
       tOut1 = (eta*radiationPerM2)/(cw*litrePerSekPerM2) + tIn;
      
    elseif(temp2<0)  
        tOut1 = tIn;
        
    else
        tOut1 = temp1;
        
    end
    
    if (tOut1 >= 100)
        tOut1 = 100;
    end

    solarTempOut=tOut1;
end                                                       
                                                       
                                                       