
function weatherDataVector = getWeatherData(dataType)


    switch dataType
    
        case 'fog'
            normalListnumber = 1;
            extendedListnumber = 1;
            data = 'percent';
    
        case 'pressure'
            normalListnumber = 3;
            extendedListnumber = 3;
            data = 'value';
    
        case 'temperatureProbability'   
            normalListnumber = 5;
            extendedListnumber = 5;
            data = 'value';
    
        case 'highClouds'   
            normalListnumber = 5;
            extendedListnumber = 7;  
            data = 'percent';
        
        case 'windDirection'
            normalListnumber = 7;
            extendedListnumber = 9;  
            data = 'deg';
        
        case 'mediumClouds'
            normalListnumber = 9;
            extendedListnumber = 11;
            data = 'percent';
        
        case 'windSpeed'
            normalListnumber = 11;
            extendedListnumber = 13;
            data = 'mps';
        
        case 'cloudiness'
            normalListnumber = 13;
            extendedListnumber = 15;
            data = 'percent';
    
        case 'lowClouds'
            normalListnumber = 15;
            extendedListnumber = 17;
            data = 'percent';
        
        case 'windProbability'
            normalListnumber = 19;
            extendedListnumber = 19;
            data = 'value';
        
        case 'humidity'
            normalListnumber = 17;
            extendedListnumber = 21;
            data = 'value';
        
        case 'temperature'
            normalListnumber = 19;
            extendedListnumber = 23;
            data = 'value';
        
    end

    global totalLength;
    global allListItems;

    delta = 5;
    forLength1 = (totalLength-5)*delta;
    delta=4;
    forLength2Start = forLength1+delta;
    forLength2Stop = forLength1+(3*delta);
    clear delta;
    l=1;

    global Error;
    global ErrorStatus;

    for k=0:5:forLength1
    
        thisListItem = allListItems.item(k);
        
        if (strcmp(dataType,thisListItem.item(normalListnumber).getTagName)) 
   
            valueList(l) = str2num(thisListItem.item(normalListnumber).getAttribute(data));
            l=l+1;
        
        elseif(strcmp(dataType,thisListItem.item(extendedListnumber).getTagName))
        
            valueList(l) = str2num(thisListItem.item(extendedListnumber).getAttribute(data));
            l=l+1;
    
        elseif(strcmp(dataType,'temperatureProbability')||strcmp(dataType,'windProbability'))
            % Do nothing if these to data does not exist in hour sample forecast
        
        else
            fprintf(Error,'Problem with ListIndecies in loop 1 for %s \n',dataType);     
            ErrorStatus = 0;
        end
    
    end

    for k = forLength2Start:4:forLength2Stop
    
        thisListItem = allListItems.item(k);
    
        if (strcmp(dataType,thisListItem.item(normalListnumber).getTagName)) 

            valueList(l) = str2num(thisListItem.item(normalListnumber).getAttribute(data));
            l=l+1;
        
        elseif(strcmp(dataType,thisListItem.item(extendedListnumber).getTagName))
            valueList(l) = str2num(thisListItem.item(extendedListnumber).getAttribute(data));
            l=l+1;
    
        elseif(strcmp(dataType,'temperatureProbability')||strcmp(dataType,'windProbability'))
            % Do nothing if these two data does not exist in hour sample forecast
    
        else
            fprintf(Error,'Problem with ListIndecies in loop 2 for %s \n',dataType);
            ErrorStatus = 0;
        end


    end


        k=k+3;
        thisListItem = allListItems.item(k);
    
        if (strcmp(dataType,thisListItem.item(normalListnumber).getTagName)) 

            valueList(l) = str2num(thisListItem.item(normalListnumber).getAttribute(data));
        
        
        elseif(strcmp(dataType,thisListItem.item(extendedListnumber).getTagName))
            valueList(l) = str2num(thisListItem.item(extendedListnumber).getAttribute(data));
       
        elseif(strcmp(dataType,'temperatureProbability')||strcmp(dataType,'windProbability'))
            % Do nothing if these two data does not exist in hour sample forecast
    
        else
            fprintf(Error,'Problem with ListIndecies in loop 3 for %s \n',dataType);
            ErrorStatus = 0;
        end

 
    
        weatherDataVector = valueList;
end