
global latitude;
global longlitude;
%-----------Geografic coordinates--------------
% Max 4 desimal resolution
latitude='78.11';
longlitude='15.34';
metersAboveSea='40';
%----------------------------------------------

%-----------Tilt and orientation of collector--------------
tilt = 45; %in degrees, zero degrees is flat
orientation = 90; %in degrees (0=south),(90=east),(180=north) and (270=west)
%----------------------------------------------
%% script for collecting data

close all;
%Deleting old Error file
if(exist('Error.txt'))
   delete('Error.txt');
end

%Errorfile and written to status
global Error;
global ErrorStatus;
ErrorStatus=1;

Error = fopen('Error.txt','a');

%API version
api='1.6';

%Create URL, check URL and load in and save data
url=strcat('http://api.met.no/weatherapi/locationforecast/',api,'?lat=',latitude,';lon=',...
longlitude,';msl=',metersAboveSea);   
xmlFile='weather.xml';
xmlCheck='check.xml';

[check,status] = urlwrite(url,xmlCheck); 

if(status) 
    delete(xmlCheck);
    urlwrite(url,xmlFile);
else
    fprintf(Error,'Could not read from URL \n');
    ErrorStatus = 0;
end

%Create DOM list from XML
%DOMnode = xmlread(xmlfile);

%reads data from a set xml file
DOMnode = xmlread('modelvalidation.xml');
listMeta = DOMnode.getElementsByTagName('meta');


%Get length of list
global from;

from = char(listMeta.item(0).item(1).getAttribute('from'));
to = char(listMeta.item(0).item(1).getAttribute('to'));

temp = regexp(from, 'T', 'split');
temp = temp(2);
temp =  regexp(char(temp), ':', 'split');
fromTime = str2num(char(temp(1)));
temp = regexp(to, 'T', 'split');
temp = temp(2);
temp =  regexp(char(temp), ':', 'split');
toTime = str2num(char(temp(1)));

clear temp;

if (fromTime < toTime)
    extraLength = toTime - fromTime;
elseif (fromTime > toTime)
    extraLength = toTime+24 - fromTime;
else
    extraLength = 0;    
end

global totalLength;
totalLength = 49+extraLength;

%Get element list
global allListItems;
allListItems = DOMnode.getElementsByTagName('location');
%%

%----------------------------Data info ----------------------------------
%{
Available Hour Data in Norway

fog : unit = "percent"
pressure : unit="hPa"
temperatureProbability : #unit="probabilitycode" (Only available every six'th hour)
highClouds : unit = "percent"
windDirection : unit = "deg"
mediumClouds unit = "percent"
windSpeed : unit = "mps" 
cloudiness : unit percent
lowClouds : unit="percent"
windProbability : #unit="probabilitycode" (Only available every six'th hour)
humidity : unit="percent" 
temperature : unit="celcius" 

# probabilitycode : certainty values.

0 : [90% , 100%]
1 : [50% , 90%>
2 : [ 0% , 50%>

%}

%Check if coordinates is inside boundary
name = char(listMeta.item(0).item(1).getAttribute('name'));

if (strcmp(name,'YR'))

%----------------------------start getWeatherData-----------------------------------

%----------------------------transfered values-----------------------------------
global cloudiness;
global temperature;
%----------------------------end transfered values---------------------------------


temperature = getWeatherData('temperature');
cloudiness = getWeatherData('cloudiness');

%----------------------------end getWeatherData ------------------------------------



%----------------------------start getRadiation ------------------------------------
global radiation;
radiation = getRadiationPerM2(tilt,orientation);  %getRadiation(tiltAngle [degrees], Orientation [degrees])



%----------------------------end getRadiation --------------------------------------

else
    fprintf(Error,'Outside coordinate boundary \n');
    ErrorStatus = 0;
end

%closing Error.txt
fclose(Error);

%Deleting Error.txt if it's empty or exit run of script if not empty
if(ErrorStatus)
    delete('Error.txt');
else
    return;
end


mpcInit;



